org.wildfly.swarm.config.management.access

## Class VaultExpressionConstraint<T extends VaultExpressionConstraint<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.access.VaultExpressionConstraint<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class VaultExpressionConstraint<T extends VaultExpressionConstraint<T>>
      extends HashMap

  Configuration of whether vault expressions should be considered sensitive.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VaultExpressionConstraint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `configuredRequiresRead()` Set to override the default as to whether reading attributes containing vault expressions should be considered sensitive.
    `T` | `configuredRequiresRead(Boolean value)` Set to override the default as to whether reading attributes containing vault expressions should be considered sensitive.
    `Boolean` | `configuredRequiresWrite()` Set to override the default as to whether writing attributes containing vault expressions should be considered sensitive.
    `T` | `configuredRequiresWrite(Boolean value)` Set to override the default as to whether writing attributes containing vault expressions should be considered sensitive.
    `Boolean` | `defaultRequiresRead()` Whether reading attributes containing vault expressions should be considered sensitive.
    `T` | `defaultRequiresRead(Boolean value)` Whether reading attributes containing vault expressions should be considered sensitive.
    `Boolean` | `defaultRequiresWrite()` Whether writing attributes containing vault expressions should be considered sensitive.
    `T` | `defaultRequiresWrite(Boolean value)` Whether writing attributes containing vault expressions should be considered sensitive.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### VaultExpressionConstraint

          public VaultExpressionConstraint()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### configuredRequiresRead

          public Boolean configuredRequiresRead()

      Set to override the default as to whether reading attributes containing vault expressions should be considered sensitive.

    - #### configuredRequiresRead

          public T configuredRequiresRead(Boolean value)

      Set to override the default as to whether reading attributes containing vault expressions should be considered sensitive.

    - #### configuredRequiresWrite

          public Boolean configuredRequiresWrite()

      Set to override the default as to whether writing attributes containing vault expressions should be considered sensitive.

    - #### configuredRequiresWrite

          public T configuredRequiresWrite(Boolean value)

      Set to override the default as to whether writing attributes containing vault expressions should be considered sensitive.

    - #### defaultRequiresRead

          public Boolean defaultRequiresRead()

      Whether reading attributes containing vault expressions should be considered sensitive.

    - #### defaultRequiresRead

          public T defaultRequiresRead(Boolean value)

      Whether reading attributes containing vault expressions should be considered sensitive.

    - #### defaultRequiresWrite

          public Boolean defaultRequiresWrite()

      Whether writing attributes containing vault expressions should be considered sensitive.

    - #### defaultRequiresWrite

          public T defaultRequiresWrite(Boolean value)

      Whether writing attributes containing vault expressions should be considered sensitive.

Copyright © 2017 JBoss by Red Hat. All rights reserved.